org.mariadb.jdbc.internal.common.packet.commands

## Class SelectDBPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.commands.SelectDBPacket

All Implemented Interfaces:
  CommandPacket

    public class SelectDBPacket
    extends Object
    implements CommandPacket

### Constructor Summary

Constructors
Constructor and Description
`SelectDBPacket(String database)`

### Method Summary

Methods
`int` `send(OutputStream outputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectDBPacket

    public SelectDBPacket(String database)

### Method Detail

#### send

    public int send(OutputStream outputStream)
             throws IOException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`